#!/bin/bash
I_CLASS_TEMPLATE="$(cat <<-EOF
import UIKit\n
public class I {\n
\tpublic class Image {\n
{{images}}
\t}\n
\n
\tpublic class String {\n
{{strings}}
\t}\n
}
EOF
)"

IMAGE_PROPERTY_TEMPLATE="\t\tpublic static var {{image_name}} = UIImage(named: \"{{image_name}}\")\r\n"
STRING_PROPERTY_TEMPLATE="\t\tpublic static var {{string_name}} = NSLocalizedString(\"{{string_name}}\", comment: \"\")\r\n"

IMAGE_PROPERTIES=""
for img in `ls -1 HrmesTV/Resource/Images.xcassets | grep imageset | sed -e 's/\..*$//'`
do
IMAGE_PROPERTIES=${IMAGE_PROPERTIES}`echo -e $IMAGE_PROPERTY_TEMPLATE | sed -e "s/{{image_name}}/$img/g"`
done

STRING_PROPERTIES=""

LINES=`/usr/libexec/PlistBuddy HrmesTV/Resource/en.lproj/Localizable.strings -c print | grep = | tr -d ' '`

for PLIST_ITEMS in $LINES
do
  name=`echo $PLIST_ITEMS | cut -d= -f1`
  STRING_PROPERTIES=${STRING_PROPERTIES}`echo -e $STRING_PROPERTY_TEMPLATE | sed -e "s/{{string_name}}/$name/g"`
done

echo -e $I_CLASS_TEMPLATE | sed -e "s/{{images}}/$IMAGE_PROPERTIES/g" | sed -e "s/{{strings}}/$STRING_PROPERTIES/g" > HrmesTV/Resource/I.swift
